/***************************************************
* Zeus CMD - OpenGL ES Tutorial 4 : Keyboard Input *
* By Grant James (ZEUS)                            *
* http://www.zeuscmd.com                           *
***************************************************/
#pragma comment(lib, "libGLES_CM.lib")

#define GLUTES_STATIC

#include <GLES/glutes.h>

void init()
{
	
}

void display()
{

}

void keyboard(unsigned char key, int x, int y)
{
	switch(key)
	{
	case 'q' : exit(0); break;
	}
}

void keyboard2(int key, int x, int y)
{
	switch(key)
	{
	case GLUT_KEY_UP : exit(0); break;
	}
}

void menu(int entry)
{
	switch(entry)
	{
	case 1 : exit(0); break;
	}
}

int main(int argc, char *argv[])
{
	glutInit(&argc, argv);

	glutCreateWindow("04 - Keyboard Input");

	init();

	glutDisplayFunc(display);
	glutKeyboardFunc(keyboard);
	glutSpecialFunc(keyboard2);

	glutCreateMenu(menu);
	glutAddMenuEntry("Quit", 1);

	glutAttachMenu(GLUT_LEFT_BUTTON);

	glutMainLoop();

	return 0;
}
